import type { BpmnVisualization, Plugin } from '../plugins-support.js';
import type { BpmnElement, BpmnElementKind, BpmnSemantic, ElementsRegistry } from 'bpmn-visualization';
export declare class ElementsPlugin implements Plugin, ElementsRegistry {
    private readonly elementsRegistry;
    constructor(bpmnVisualization: BpmnVisualization);
    getElementsByIds(bpmnElementIds: string | string[]): BpmnElement[];
    getElementsByKinds(bpmnKinds: BpmnElementKind | BpmnElementKind[]): BpmnElement[];
    getModelElementsByIds(bpmnElementIds: string | string[]): BpmnSemantic[];
    getModelElementsByKinds(bpmnKinds: BpmnElementKind | BpmnElementKind[]): BpmnSemantic[];
    getPluginId(): string;
}
