import type { BpmnVisualization, Plugin } from '../plugins-support.js';
import type { Overlay, OverlaysRegistry } from 'bpmn-visualization';
export declare class OverlaysPlugin implements Plugin, OverlaysRegistry {
    private readonly overlayPane;
    private readonly overlaysRegistry;
    private previousStyleDisplay?;
    private isVisible;
    constructor(bpmnVisualization: BpmnVisualization);
    setVisible(visible?: boolean): void;
    addOverlays(bpmnElementId: string, overlays: Overlay | Overlay[]): void;
    removeAllOverlays(bpmnElementId: string): void;
    getPluginId(): string;
}
